%define url_ver %(echo %{version}|cut -d. -f1,2)

%define major 0
%define libname %mklibname matewnck %major
%define girmajor 1.0
%define girname %mklibname matewnck-gir %girmajor
%define develname %mklibname -d matewnck

Name: libmatewnck
Version: 1.6.1
Release: %mkrel 2
Summary: MATE Desktop Window Navigator Construction Kit libraries
Group: System/Libraries
License: LGPLv2+ and GPLv2+
URL: http://www.mate-desktop.org
Source0: http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires: pkgconfig(glib-2.0) >= 2.16.0
BuildRequires: pkgconfig(gobject-2.0) >= 2.13.0
BuildRequires: pkgconfig(gtk+-2.0) >= 2.19.7
BuildRequires: pkgconfig(libstartup-notification-1.0) >= 0.4
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xres)
BuildRequires: mate-common
BuildRequires: gobject-introspection-devel

%description
Window navigator construction Kit for MATE Desktop.

%package -n %libname
Summary: Shared libraries for libmatewnck
Group: System/Libraries

%description -n %libname
This package contains shared libraries for libmatewnck.

%package -n %girname
Summary: GObject Introspection interface library for libmatewnck
Group: System/Libraries
Requires: %{libname} = %{version}

%description -n %girname
GObject Introspection interface library for libmatewnck.

%package -n %develname
Summary: Development libraries and headers for libmatewnck
Group: System/Libraries
Requires: %{libname} = %{version}
Requires: %{girname} = %{version}
Provides: %{name}-devel = %{version}-%{release}

%description -n %develname
Development libraries and headers for libmatewnck.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

%find_lang %{name}

find %{buildroot} -name '*.la' -delete

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_bindir}/matewnck-urgency-monitor
%{_bindir}/matewnckprop

%files -n %libname
%{_libdir}/libmatewnck.so.%{major}
%{_libdir}/libmatewnck.so.%{major}.*

%files -n %girname
%{_libdir}/girepository-1.0/Matewnck-%{girmajor}.typelib

%files -n %develname
%{_libdir}/libmatewnck.so
%{_libdir}/pkgconfig/libmatewnck.pc
%{_includedir}/libmatewnck
%{_datadir}/gir-1.0/Matewnck-%{girmajor}.gir
%{_datadir}/gtk-doc/html/libmatewnck


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.6.1-2.mga4
+ Revision: 531035
- Mageia 4 Mass Rebuild

* Wed Jul 31 2013 malo <malo> 1.6.1-1.mga4
+ Revision: 461638
- update to 1.6.1

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 fwang <fwang> 1.4.0-1.mga3
+ Revision: 285398
- imported package libmatewnck

